Subject: Re: bug#68765: 30.0.50; Adding window-tool-bar package.

From: Philip Kaludercic <[email-masked]>
Date: Sun, 19 May 2024 14:41:03 +0000

Jared Finder <[email-masked]> writes:

> On 2024-05-18 02:48, Eli Zaretskii wrote:
>>> Date: Mon, 13 May 2024 21:14:16 -0700
>>> From: Jared Finder <[email-masked]>
>>> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>>> [email-masked],
>>>  [email-masked]
>>>  > Thanks, looks like a good thing to do.
>>> Thank you!  Final version of all three commits attached.  These
>>> address
>>> all comments raised on this thread.
>>> I think after these patches are applied, the remaining work to
>>> resolve
>>> this would be having the ELPA package added and me updating NEWS
>>> and the
>>> manual.  I can start on the updates.
>> I installed the patches on the master branch.
>
> Thank you!
>
> Is there anything else that needs to be done to get this package on
> ELPA?  I'd like to use this package on older Emacsen as well.

It just has to be added to ELPA, but that is a one-line patch to
elpa.git.  Here is the tarball I generated locally:

Can you confirm that it looks alright and works on older systems (use
M-x package-install-file)?

>   -- MJF

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 18 May 2024 20:58:05 -0700
>> From: Jared Finder <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked],
>>  [email-masked]
>> 
>> On 2024-05-18 02:48, Eli Zaretskii wrote:
>> >> I think after these patches are applied, the remaining work to resolve
>> >> this would be having the ELPA package added and me updating NEWS and 
>> >> the
>> >> manual.  I can start on the updates.
>> > 
>> > I installed the patches on the master branch.
>> 
>> Thank you!
>> 
>> Is there anything else that needs to be done to get this package on 
>> ELPA?  I'd like to use this package on older Emacsen as well.
>
> Philip will tell, but what I meant was to ask you to work on updates
> for NEWS and the manual.

Where will the package be documented?  Should anything be added to the
ELPA package?

-- 
	Philip Kaludercic on icterid